import request from '@/utils/request'

// 获取销售门店列表
export function getStore(parameter) {
  return request({
    url: '/api/store',
    method: 'get',
    params: parameter
  })
}

// 获取销售门店详情
export function getStoreDetails(parameter) {
  return request({
    url: '/api/store/2',
    method: 'GET',
    params: parameter
  })
}

// 添加销售门店
export function addStore(parameter) {
  return request({
    url: '/api/store',
    method: 'post',
    data: parameter
  })
}

// 编辑销售门店
export function putStore(parameter) {
  return request({
    url: '/api/store',
    method: 'put',
    data: parameter
  })
}

// 进入
export function enterStore(parameter) {
  return request({
    url: '/api/store/enter',
    method: 'post',
    data: parameter
  })
}

// 删除销售门店
export function delStore(parameter) {
  return request({
    url: '/api/store',
    method: 'delete',
    data: parameter
  })
}
